package routers

import (
	"github.com/astaxie/beego"
	"github.com/astaxie/beego/context/param"
)

func init() {

    beego.GlobalControllerRouter["k8s-console/controllers/node:NodeController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/node:NodeController"],
        beego.ControllerComments{
            Method: "GetCpuAndRamRateData",
            Router: `/getCpuAndRamRateData`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["k8s-console/controllers/node:NodeController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/node:NodeController"],
        beego.ControllerComments{
            Method: "GetNodeDetails",
            Router: `/getNodeDetails`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["k8s-console/controllers/node:NodeController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/node:NodeController"],
        beego.ControllerComments{
            Method: "GetNodeList",
            Router: `/getNodeList`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["k8s-console/controllers/node:NodeController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/node:NodeController"],
        beego.ControllerComments{
            Method: "NodeDetailsLabelsOperation",
            Router: `/nodeDetailsLabelsOperation`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["k8s-console/controllers/node:NodeController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/node:NodeController"],
        beego.ControllerComments{
            Method: "NodeDetailsUnschedulable",
            Router: `/nodeDetailsUnschedulable`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
