package routers

import (
	"github.com/astaxie/beego"
	"github.com/astaxie/beego/context/param"
)

func init() {

    beego.GlobalControllerRouter["k8s-console/controllers/pods:PodController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/pods:PodController"],
        beego.ControllerComments{
            Method: "CheckPodContent",
            Router: `/checkPodContent`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["k8s-console/controllers/pods:PodController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/pods:PodController"],
        beego.ControllerComments{
            Method: "DeletePod",
            Router: `/deletePod`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["k8s-console/controllers/pods:PodController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/pods:PodController"],
        beego.ControllerComments{
            Method: "GetAllPodRunningContainer",
            Router: `/getAllPodRunningContainer`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["k8s-console/controllers/pods:PodController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/pods:PodController"],
        beego.ControllerComments{
            Method: "GetPodList",
            Router: `/getPodList`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["k8s-console/controllers/pods:PodController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/pods:PodController"],
        beego.ControllerComments{
            Method: "GetPodOriginalInfo",
            Router: `/getPodOriginalInfo`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["k8s-console/controllers/pods:PodController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/pods:PodController"],
        beego.ControllerComments{
            Method: "SavePodResource",
            Router: `/savePodResource`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["k8s-console/controllers/pods:TailPodLogController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/pods:TailPodLogController"],
        beego.ControllerComments{
            Method: "TailPodLog",
            Router: `/tailPodLog`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
