package routers

import (
	"github.com/astaxie/beego"
	"github.com/astaxie/beego/context/param"
)

func init() {

	beego.GlobalControllerRouter["k8s-console/controllers/services:ServiceController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/services:ServiceController"],
		beego.ControllerComments{
			Method:           "CheckServiceContent",
			Router:           `/checkServiceContent`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/services:ServiceController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/services:ServiceController"],
		beego.ControllerComments{
			Method:           "DeleteService",
			Router:           `/deleteService`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/services:ServiceController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/services:ServiceController"],
		beego.ControllerComments{
			Method:           "GetControllerPortList",
			Router:           `/getControllerPortList`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/services:ServiceController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/services:ServiceController"],
		beego.ControllerComments{
			Method:           "GetServiceEndPointList",
			Router:           `/getServiceEndPointList`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/services:ServiceController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/services:ServiceController"],
		beego.ControllerComments{
			Method:           "GetServiceInfo",
			Router:           `/getServiceInfo`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/services:ServiceController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/services:ServiceController"],
		beego.ControllerComments{
			Method:           "GetServiceOriginalInfo",
			Router:           `/getServiceOriginalInfo`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/services:ServiceController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/services:ServiceController"],
		beego.ControllerComments{
			Method:           "GetServicePortList",
			Router:           `/getServicePortList`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/services:ServiceController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/services:ServiceController"],
		beego.ControllerComments{
			Method:           "GetServiceRelatedResourceInfo",
			Router:           `/getServiceRelatedResourceInfo`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/services:ServiceController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/services:ServiceController"],
		beego.ControllerComments{
			Method:           "GetServicesList",
			Router:           `/getServicesList`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/services:ServiceController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/services:ServiceController"],
		beego.ControllerComments{
			Method:           "SaveGuiServiceResource",
			Router:           `/saveGuiServiceResource`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/services:ServiceController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/services:ServiceController"],
		beego.ControllerComments{
			Method:           "SaveServiceResource",
			Router:           `/saveServiceResource`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

}
