package routers

import (
	"github.com/astaxie/beego"
	"github.com/astaxie/beego/context/param"
)

func init() {

    beego.GlobalControllerRouter["k8s-console/controllers/storageManage:PersistentVolumeController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/storageManage:PersistentVolumeController"],
        beego.ControllerComments{
            Method: "CheckPVContent",
            Router: `/checkPVContent`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["k8s-console/controllers/storageManage:PersistentVolumeController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/storageManage:PersistentVolumeController"],
        beego.ControllerComments{
            Method: "CreatePVByYaml",
            Router: `/createPVByYaml`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["k8s-console/controllers/storageManage:PersistentVolumeController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/storageManage:PersistentVolumeController"],
        beego.ControllerComments{
            Method: "DeletePV",
            Router: `/deletePV`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["k8s-console/controllers/storageManage:PersistentVolumeController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/storageManage:PersistentVolumeController"],
        beego.ControllerComments{
            Method: "GetPVList",
            Router: `/getPVList`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
