package routers

import (
	"github.com/astaxie/beego"
	"github.com/astaxie/beego/context/param"
)

func init() {

    beego.GlobalControllerRouter["k8s-console/controllers/pvc:PersistentVolumeClaimsController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/pvc:PersistentVolumeClaimsController"],
        beego.ControllerComments{
            Method: "CheckPvcContent",
            Router: `/checkPvcContent`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["k8s-console/controllers/pvc:PersistentVolumeClaimsController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/pvc:PersistentVolumeClaimsController"],
        beego.ControllerComments{
            Method: "CreatePvc",
            Router: `/createPvc`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["k8s-console/controllers/pvc:PersistentVolumeClaimsController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/pvc:PersistentVolumeClaimsController"],
        beego.ControllerComments{
            Method: "GetPvcList",
            Router: `/getPvcList`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["k8s-console/controllers/pvc:PersistentVolumeClaimsController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/pvc:PersistentVolumeClaimsController"],
        beego.ControllerComments{
            Method: "RemovePvc",
            Router: `/removePvc`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
