package routers

import (
	"github.com/astaxie/beego"
	"github.com/astaxie/beego/context/param"
)

func init() {

    beego.GlobalControllerRouter["k8s-console/controllers/tls:TlsController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/tls:TlsController"],
        beego.ControllerComments{
            Method: "AddOrUpdateTls",
            Router: `/addOrUpdateTls`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["k8s-console/controllers/tls:TlsController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/tls:TlsController"],
        beego.ControllerComments{
            Method: "GetTlsInfo",
            Router: `/getTlsInfo`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["k8s-console/controllers/tls:TlsController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/tls:TlsController"],
        beego.ControllerComments{
            Method: "GetTlsList",
            Router: `/getTlsList`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["k8s-console/controllers/tls:TlsController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/tls:TlsController"],
        beego.ControllerComments{
            Method: "RemoveTls",
            Router: `/removeTls`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["k8s-console/controllers/tls:TlsController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/tls:TlsController"],
        beego.ControllerComments{
            Method: "UploadTls",
            Router: `/uploadTls`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
